Subject: linux-next: manual merge of the block/zonefs trees with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 31 Jul 2020 11:07:59 +1000

Hi all,

Today's linux-next merge of the zonefs tree got a conflict in:

  drivers/nvme/host/core.c

between commit:

  5bedd3afee8e ("nvme: add a Identify Namespace Identification Descriptor list quirk")

from Linus' tree and commit:

  71010c309454 ("nvme: implement multiple I/O Command Set support")

from the zonefs tree.

I fixed it up (I just removed the code that the former removed) and can
carry the fix as necessary. This is now fixed as far as linux-next is
concerned, but any non trivial conflicts should be mentioned to your
upstream maintainer when your tree is submitted for merging.  You may
also want to consider cooperating with the maintainer of the conflicting
tree to minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc drivers/nvme/host/core.c
index 4ee2330c603e,e9d83b98d79d..000000000000
--- a/drivers/nvme/host/core.c
+++ b/drivers/nvme/host/core.c
@@@ -1097,14 -1136,10 +1136,13 @@@ static int nvme_identify_ns_descs(struc
  		struct nvme_ns_ids *ids)
  {
  	struct nvme_command c = { };
- 	int status;
+ 	bool csi_seen = false;
+ 	int status, pos, len;
  	void *data;
- 	int pos;
- 	int len;
  
 +	if (ctrl->quirks & NVME_QUIRK_NO_NS_DESC_LIST)
 +		return 0;
 +
  	c.identify.opcode = nvme_admin_identify;
  	c.identify.nsid = cpu_to_le32(nsid);
  	c.identify.cns = NVME_ID_CNS_NS_DESC_LIST;